Subject: Re: bug#5926: feature request: mv -p to create missing target dir

From: [email-masked]
Date: Wed, 22 Oct 2014 10:16:23 +0200 (CEST)

>> I mean why wasn't refused "cp -p" request, saying "just use mkdir first".

> There seems to be a good deal of confusion here, as "cp -p" has nothing to do 
> with "mkdir -p".

Oooops, sorry, I meant: why wasn't refused mkdir "-p" option request, saying "just use ls and mkdir first"?
Hmmm, ok, I see they are both about creating dirs, but aren't mkdir, cp, mv, touch... all involved in creating links in a file system? Hmmm... It seems I triggered an endless loop in my own mind: confusion was yet there. Let's call this ignorance, lazziness. Mum!